Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000494KdenliveUser Interfacepublic2008-12-19 11:162010-02-20 08:17
Reporterjmpoure 
Assigned Toddennedy 
PriorityurgentSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target Version0.7.2Fixed in Version0.7.7 
Summary0000494: Drop B-Frames when viewing h264
DescriptionHello,

Following a discussion on Kdenlive mailing list, it seems possible to display h264/AVCHD clips interactively, only when droping B-Frames.

The following commands for ffplay works:
ffplay -skiploop 48 -skipframe 16 -threads X avchd-test-1.mts

Dan pointed out the equivalent in MLT syntax:

inigo avchd-test-1.mts skip_loop_filter=all skip_frame=bidir -consumer westley:some_file.westley

Would it be possible for Kdenlive to detect h264 files and drop B frames automatically when editing (not rendering of course).

Kind regards,
Jean-Michel
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0001817)
cinephiliac (updater)
2008-12-19 20:16

Acknowledged as a feature request.
(0001848)
madsdyd (administrator)
2008-12-21 11:07

Please make it optional though through the configuration settings (its more or less a "drop frames" option, as I understand it?)
(0001864)
jmpoure (developer)
2008-12-21 13:37

Sorry, this is an optional feature.

I am gathering h264 media here:
http://www.kdenlive.org/contribution-manual/footage [^]

It seems that Kdenlive can read popular files from Canon and Sony AVCHD camcorders.

This seems a good point. But we need an option to disable B-frames on slow computers or complex streams. 35Mb streams are coming and this will hard to decode them.
(0001866)
jmpoure (developer)
2008-12-21 13:40

Postpone for 0.7.2 as I don't want to slow Kdenlive release.
(0002112)
administrator (administrator)
2009-01-13 01:19

The feature was just added in svn. You can enable it from the Kdenlive Settings dialog->Playback->Drop B Frames...

Feedback welcome.
(0002114)
jmpoure (developer)
2009-01-13 09:39

Thanks JB! I tried the footage files: http://www.kdenlive.org/video-editor [^]
Still very slow and no sound.
(0002115)
administrator (administrator)
2009-01-13 11:50

For some reason I don't understand, the settings don't seem to work in the clip monitor, however it works fine when the clip is inserted in the project. Can you confirm that it works in the project monitor ?

The "unsupported" AVCHD clips from camcorder page play rather smoothly on my laptop (2GHz dual core, with 1Gb memory)...
(0002124)
ddennedy (developer)
2009-01-14 07:02

you may as well add an option to skip_loop_filter=all
(0004208)
andrej_aschenbrenner (reporter)
2009-10-25 22:03

It seems that this setting does influence the rendering process. I would expect that this setting is only for previewing the video in Clip- or Project-Monitor.

Version used: Kdenlive 0.7.6
OS: Ubuntu 9.04 (64-Bit)
(0004209)
ddennedy (developer)
2009-10-26 00:45

Andrej, no it does not affect rendering. When you save the kdenlive project, it contains MLT XML, which is the same thing passed to melt when rendering. When you read the XML as text, there are producer properties included:
  <property name="skip_loop_filter" />
  <property name="skip_frame" />

However, these properties lack values and interpreted as 0, which means no skipping.

- Issue History
Date Modified Username Field Change
2008-12-19 11:16 jmpoure New Issue
2008-12-19 11:16 jmpoure Build/Install Method => Manual build from SVN
2008-12-19 20:16 cinephiliac Note Added: 0001817
2008-12-19 20:16 cinephiliac Status new => acknowledged
2008-12-21 11:07 madsdyd Note Added: 0001848
2008-12-21 13:37 jmpoure Note Added: 0001864
2008-12-21 13:40 jmpoure Note Added: 0001866
2008-12-21 13:40 jmpoure Target Version 0.7.1 => 0.7.2
2009-01-13 01:19 administrator Note Added: 0002112
2009-01-13 09:39 jmpoure Note Added: 0002114
2009-01-13 11:50 administrator Note Added: 0002115
2009-01-14 07:02 ddennedy Note Added: 0002124
2009-10-25 22:03 andrej_aschenbrenner Note Added: 0004208
2009-10-26 00:45 ddennedy Note Added: 0004209
2009-10-26 00:46 ddennedy Status acknowledged => resolved
2009-10-26 00:46 ddennedy Fixed in Version => 0.7.2
2009-10-26 00:46 ddennedy Resolution open => fixed
2009-10-26 00:46 ddennedy Assigned To => ddennedy
2010-02-02 10:34 j-b-m Fixed in Version 0.7.2 => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker